Create or revise a seller negotiation bid

post

/fscmRestApi/resources/11.13.18.05/sellerNegotiationBids/action/CreateBid

Creates a new bid or revises an existing bid for a seller negotiation.

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
  • parameters
    Additional Properties Allowed: additionalProperties
    Input values for creating a new bid or revising an existing bid in a seller negotiation. Supported attributes include SellerAuctionHeaderId, BidderId, BidderSiteId, and SourceBidNumber. BidderSiteId is required only for invited bidder sites. SourceBidNumber is required only when revising a bid.
Nested Schema : parameters
Type: object
Additional Properties Allowed
Show Source
Input values for creating a new bid or revising an existing bid in a seller negotiation. Supported attributes include SellerAuctionHeaderId, BidderId, BidderSiteId, and SourceBidNumber. BidderSiteId is required only for invited bidder sites. SourceBidNumber is required only when revising a bid.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : result
Type: object
Additional Properties Allowed
Show Source
If the request is successful, this action returns a draft bid number. Otherwise, it returns the relevant error.
Back to Top